List agent sessions
List all Claude agent sessions for a sandbox, ordered by most recent first.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
sandbox_id
Query parameters
since
Only return sessions with activity at or after this timestamp
include_subagents
Include child/subagent sessions in addition to root sessions
Response
Successful Response
session_path
session_name
parent_session_path
parent_session_name
root_session_path
root_session_name
is_subagent
session_depth
agent_id
child_count
first_timestamp
last_timestamp
event_count
model
total_input_tokens
total_output_tokens
cwd
git_branch
harness_name
total_cache_creation_tokens
total_cache_read_tokens
first_user_text
Errors
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error